# Open terminal and run following command to install brew (Want to replace with Nix <3)
/bin/bash -c "$(curl -fsSL https://raw.githubusercontent.com/Homebrew/install/HEAD/install.sh)"

# Useful tools
brew install rectangle topgrade stow alt-tab pandoc typst aerospace font-jetbrains-mono-nerd-font

# General programs
brew install zen-browser google-chrome vscodium fastfetch libreoffice localsend slack

# Developer tools
brew install git neovim podman podman-desktop docker-compose alacritty virtualbox act fish starship ripgrep bruno dbeaver-community

# Fish
fish_add_path /opt/homebrew/bin
# oh-my-zsh
#sh -c "$(curl -fsSL https://raw.githubusercontent.com/ohmyzsh/ohmyzsh/master/tools/install.sh)"
#git clone https://github.com/zsh-users/zsh-autosuggestions && mv zsh-autosuggestions .oh-my-zsh/plugins/
#source .oh-my-zsh/plugins/zsh-autosuggestions/zsh-autosuggestions.zsh

# dotfiles
git clone https://github.com/SindreKjelsrud/dotfiles.git 
cp -r dotfiles/mac .
cd mac && stow . --adopt && cd 
cp dotfiles/.github/wallpaper/evangelion_unit-01.png mac/
wallpaper mac/evangelion_unit-01.png
