# dotfiles
> *🦥 All of my configuration files for my linux setup*

My old bspwm-setup can be found in [`/bspwm`](./bspwm), while my mac-setup can be found in [`/mac`](./mac). 

Btw, for symlinks I use GNU stow. I run `stow .` in this repo locally to automatically create them. 

### List of stuff

|Distro|[Arch](https://archlinux.org/)|
|:---:|:---:|
| DE | [Hyprland](https://hyprland.org/) |
| Fonts | JetBrainsMono x FontAwesome |
| GRUB | [minecraft-grub](https://github.com/Lxtharia/minegrub-theme) |
| Menu |[Wofi](https://hg.sr.ht/~scoopta/wofi)|
| Terminal |[Alacritty](https://github.com/alacritty/alacritty)|
| Theme | [catppuccin-macchiato](https://github.com/catppuccin/catppuccin/tree/main) |
| Wallpaper | [Evangelion Unit-01](/.github/wallpaper/evangelion_unit-01.png) |

### Screenshots

![Terminal](.github/screenshots/terminal.png)
![Rofi](.github/screenshots/wofi.png)
![Busy](.github/screenshots/buzy.png)
![Non-busy](.github/screenshots/non-buzy.png)

### Settings

- Add `ILoveCandy` to `/etc/pacman.conf`
- Add `BottomUp` to `/etc/paru.conf`

